C# Class Revit.SDK.Samples.CreateTruss.CS.Command

Inheritance: IExternalCommand
Datei anzeigen Open project: AMEE/revit

Public Methods

Method Description
Execute ( Autodesk revit, string &message, ElementSet elements ) : Autodesk.Revit.UI.Result

Implement this method as an external command for Revit.

Private Methods

Method Description
GetIntersection ( Line line1, Line line2 ) : Autodesk.Revit.DB.XYZ

Utility method for getting the intersection between two lines.

GetReferencePlaneLine ( ReferencePlane plane ) : Line

Utility method for to extract the geometry of a reference plane in a family.

MakeNewTruss ( ) : void

Example demonstrating truss creation in the Autodesk Revit API. This example constructs a "mono" truss aligned with the reference planes in the (already loaded) truss family document.

MakeTrussCurve ( Autodesk start, Autodesk end, SketchPlane sketchPlane, TrussCurveType type ) : ModelCurve

Utility method to create a truss model curve.

Method Details

Execute() public method

Implement this method as an external command for Revit.
public Execute ( Autodesk revit, string &message, ElementSet elements ) : Autodesk.Revit.UI.Result
revit Autodesk An object that is passed to the external application /// which contains data related to the command, /// such as the application object and active view.
message string A message that can be set by the external application /// which will be displayed if a failure or cancellation is returned by /// the external command.
elements ElementSet A set of elements to which the external application /// can add elements that are to be highlighted in case of failure or cancellation.
return Autodesk.Revit.UI.Result